<?php 
/* SVN FILE: $Id$ */
/* CharactersHasProfile Test cases generated on: 2009-12-28 15:18:01 : 1261981081*/
App::import('Model', 'CharactersHasProfile');

class CharactersHasProfileTestCase extends CakeTestCase {
	var $CharactersHasProfile = null;
	var $fixtures = array('app.characters_has_profile', 'app.character', 'app.profile', 'app.profile_selects', 'app.profile_tables');

	function startTest() {
		$this->CharactersHasProfile =& ClassRegistry::init('CharactersHasProfile');
	}

	function testCharactersHasProfileInstance() {
		$this->assertTrue(is_a($this->CharactersHasProfile, 'CharactersHasProfile'));
	}

	function testCharactersHasProfileFind() {
		$this->CharactersHasProfile->recursive = -1;
		$results = $this->CharactersHasProfile->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('CharactersHasProfile' => array(
			'id'  => 1,
			'character_id'  => 1,
			'profile_id'  => 1,
			'profile_selects_id'  => 1,
			'profile_tables_id'  => 1,
			'value'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'link_value'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.'
		));
		$this->assertEqual($results, $expected);
	}
}
?>